"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const clc = require("cli-color");
const command_1 = require("../command");
const requireConfig_1 = require("../requireConfig");
const utils = require("../utils");
exports.default = new command_1.Command("target:remove <type> <resource>")
    .description("remove a resource target")
    .before(requireConfig_1.requireConfig)
    .action((type, resource, options) => {
    const name = options.rc.removeTarget(options.project, type, resource);
    if (name) {
        utils.logSuccess(`Removed ${type} target ${clc.bold(name)} from ${clc.bold(resource)}`);
    }
    else {
        utils.logWarning(`No action taken. No target found for ${type} resource ${clc.bold(resource)}`);
    }
    return Promise.resolve(name);
});
